Displayed os_type when calling ocamlc -config is wrong.
This patch forces the correct value without changing anything
in the Sys module.

Index: build-tree/ocaml-3.12.1/utils/config.mlp
===================================================================
--- build-tree.orig/ocaml-3.12.1/utils/config.mlp	2010-05-19 13:29:38.000000000 +0200
+++ build-tree/ocaml-3.12.1/utils/config.mlp	2011-10-09 04:22:53.857415568 +0200
@@ -83,11 +83,7 @@
 let ext_lib = "%%EXT_LIB%%"
 let ext_dll = "%%EXT_DLL%%"
 
-let default_executable_name =
-  match Sys.os_type with
-    "Unix" -> "a.out"
-  | "Win32" | "Cygwin" -> "camlprog.exe"
-  | _ -> "camlprog"
+let default_executable_name = "camlprog.exe"
 
 let systhread_supported = %%SYSTHREAD_SUPPORT%%;;
 
@@ -114,7 +110,7 @@
   p "ext_asm" ext_asm;
   p "ext_lib" ext_lib;
   p "ext_dll" ext_dll;
-  p "os_type" Sys.os_type;
+  p "os_type" "Win32";
   p "default_executable_name" default_executable_name;
   p_bool "systhread_supported" systhread_supported;
   flush oc;
